### Function

# Gio dbus_escape_object_path

since: 2.68

#### Declaration [src]

    gchar*
    g_dbus_escape_object_path (
      const gchar* s
    )

#### Description [src]

This is a language binding friendly version of g_dbus_escape_object_path_bytestring().

Available since: 2.68

#### Parameters

`s`

  Type: `const gchar*`

  The string to escape.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

An escaped version of `s`. Free with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.